Package weka.core

# Class Debug.SimpleLog

java.lang.Object
weka.core.Debug.SimpleLog

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  Debug

public static class Debug.SimpleLog extends Object implements Serializable, RevisionHandler
A little, simple helper class for logging stuff. Uses simple file access and not the java.util.logging stuff (see Log for that). Uses the writeToFile methods of the Debug class.

See Also:
  - `Debug.Log`
  - `Debug.writeToFile(String, String)`
  - `Debug.writeToFile(String, String, boolean)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleLog()`
  default constructor, uses only stdout
  `SimpleLog(String filename)`
  Creates a logger that writes into the specified file.
  `SimpleLog(String filename, boolean append)`
  Creates a logger that writes into the specified file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilename()`
  returns the filename of the log, can be null
  `String`
  `getRevision()`
  Returns the revision string.
  `void`
  `log(String message)`
  logs the given message to the file
  `void`
  `logSystemInfo()`
  a convenience method for dumping the current system info in the log file
  `String`
  `toString()`
  returns a string representation of the logger

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleLog

    public SimpleLog()
    default constructor, uses only stdout

  - ### SimpleLog

    public SimpleLog(String filename)
    Creates a logger that writes into the specified file. Appends to the file by default.
    Parameters:
      `filename` - the file to write to, if null then only stdout is used

  - ### SimpleLog

    public SimpleLog(String filename, boolean append)
    Creates a logger that writes into the specified file. Appends to the file by default.
    Parameters:
      `filename` - the file to write to, if null then only stdout is used
      `append` - if false, the file will be deleted first

- ## Method Details

  - ### getFilename

    public String getFilename()
    returns the filename of the log, can be null
    Returns:
      the filename of the log

  - ### log

    public void log(String message)
    logs the given message to the file
    Parameters:
      `message` - the message to log

  - ### logSystemInfo

    public void logSystemInfo()
    a convenience method for dumping the current system info in the log file
    See Also:
      - `SystemInfo`

  - ### toString

    public String toString()
    returns a string representation of the logger
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the logger

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision